Subject: bug#5354: Please replace font-lock-fontify-buffer with font-lock-fontify-region in js-mode

From: Lennart Borgman <[email-masked]>
Date: Mon, 11 Jan 2010 22:32:47 +0100

On Mon, Jan 11, 2010 at 6:37 PM, Stefan Monnier
<[email-masked]> wrote:
>> In `js-mode' there is a call to `font-lock-fontify-buffer' at the end.
>> This creates problem for mumamo since it fontifies outside the region
>> where js-mode should be applied:
>
>>   (let (font-lock-keywords) ; leaves syntactic keywords intact
>>     (font-lock-fontify-buffer))
>
>> Could this please be replaced by
>
>>   (let (font-lock-keywords ; leaves syntactic keywords intact
>>         font-lock-extend-region-functions) ;; accept narrowing
>>     (font-lock-fontify-region (point-min) (point-max)))
>
> This looks majorly odd (aka difficult to explain/justify from js-mode's
> point of view).  I suggest you instead submit a proposal for a new
> font-lock function that does what js-mode needs.

Thanks, you are right. Looking at it again I realize I can of course
instead change font-lock-fontify-buffer-function in mumamo. So I did
that.

Please close this bug. Sorry for the trouble and thanks for the help.